compilation php5.3.2 in lightest version

Forum for you who has PHP installation issues

Moderators: macek, egami, gesf

przemek
New php-forum User
New php-forum User
Posts: 1
Joined: Mon Jul 19, 2010 2:58 am

compilation php5.3.2 in lightest version

Postby przemek » Mon Jul 19, 2010 3:05 am

I need to compile php 5.3.2 (php-cgi) for mobile devices (ARM) with minimum extension etc. I have never compiled php before. I tried in this way:

Code: Select all

  ./configure '--host=arm-angstrom-linux-gnueabi' '--target=arm-angstrom-linux-gnueabi' '--prefix=/usr' '--exec_prefix=/usr' '--bindir=/usr/bin' '--sbindir=/usr/sbin' '--libexecdir=/usr/libexec' '--datadir=/usr/share' '--sysconfdir=/etc' '--sharedstatedir=/com' '--localstatedir=/var' '--libdir=/usr/lib' '--includedir=/usr/include' '--oldincludedir=/usr/include' '--infodir=/usr/share/info' '--mandir=/usr/share/man' '--without-iconv' '--enable-mbstring' '--enable-discard-path' '--enable-sockets' '--enable-shared' '--enable-pcntl' '--enable-memory-limit' '--enable-wddx' '--disable-embedded-mysqli' '--enable-magic-quotes' '--enable-fastcgi' '--with-sqlite3' '--disable-libxml' '--disable-dom' '--disable-simplexml' '--disable-wddx' '--disable-xml' '--disable-xmlreader' '--disable-xmlwriter' '--without-pear'  '--disable-cli'

but after compilation without errors I have 500 - Internal Server Error in lighttpd. I compile on Ubuntu and move php-cgi on ARM.
Maybe problem there isn't in compilation?
Could you give me parameters of ./configure which I should use? I would like only plugin to sqlite3, I will run simply website with table from SQLite3.

Thanks

Return to “PHP Installation”

Who is online

Users browsing this forum: No registered users and 1 guest

cron